> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute FX swap

> Execute an FX swap between two accounts of the same user, either referencing a previously created quote (quoteId) or fetching the market rate at execution time.



## OpenAPI

````yaml post /api/v1/account/users/{uid}/accounts/{aid}/fx-swaps
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/account/users/{uid}/accounts/{aid}/fx-swaps:
    post:
      tags:
        - accounts
      summary: Execute FX swap
      description: >-
        Execute an FX swap between two accounts of the same user, either
        referencing a previously created quote (quoteId) or fetching the market
        rate at execution time.
      parameters:
        - description: User ID
          in: path
          name: uid
          required: true
          schema:
            type: string
        - description: Account ID
          in: path
          name: aid
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/dto.FXSwapRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.FXSwapResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  requestBodies:
    dto.FXSwapRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/dto.FXSwapRequest'
      description: FX swap details
      required: true
  schemas:
    dto.FXSwapResponse:
      properties:
        createdAt:
          example: '2026-06-22T11:00:00Z'
          type: string
        destination:
          $ref: '#/components/schemas/domain.Money'
        detailUrl:
          example: /api/v1/account/fx-swaps/e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b
          type: string
        displayType:
          example: FX Swap
          type: string
        failedAt:
          type: string
        fee:
          $ref: '#/components/schemas/dto.FeeResponse'
        fx:
          $ref: '#/components/schemas/dto.FXResponse'
        id:
          example: e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b
          type: string
        origin:
          $ref: '#/components/schemas/domain.Money'
        recipient:
          $ref: '#/components/schemas/dto.AccountRecipient'
        reference:
          example: FX-SWAP-2026-001
          type: string
        sender:
          $ref: '#/components/schemas/dto.AccountSender'
        settledAt:
          type: string
        state:
          example: PENDING
          type: string
        type:
          example: FX_SWAP
          type: string
        updatedAt:
          example: '2026-06-22T11:00:00Z'
          type: string
      type: object
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    dto.FXSwapRequest:
      properties:
        description:
          example: Currency exchange EUR to USD
          minLength: 3
          type: string
        fromAmount:
          example: 10000
          type: integer
        ownReference:
          example: FX-SWAP-2026-001
          type: string
        quoteId:
          example: q1a2b3c4-d5e6-4f7a-8b9c-0d1e2f3a4b5c
          type: string
        recipient:
          $ref: '#/components/schemas/dto.AccountRecipient'
        toAmount:
          type: integer
      required:
        - description
        - ownReference
      type: object
    domain.Money:
      properties:
        amount:
          description: 'Amount in cents. Ex: 12345 = 123.45€'
          example: 1000
          type: integer
        currency:
          description: USD, EUR, etc.
          enum:
            - EUR
            - USD
            - MXN
            - CAD
            - BRL
            - COP
            - PEN
            - BOB
            - CLP
            - ARS
            - UYU
            - PYG
            - CNY
            - HKD
            - MYR
            - USDT
            - USDC
            - EURC
            - BTC
            - ETH
          example: CURRENCY
          type: string
      required:
        - currency
      type: object
    dto.FeeResponse:
      properties:
        amount:
          example: 100
          type: integer
        breakdown:
          $ref: '#/components/schemas/dto.FeeBreakdown'
        currency:
          example: EUR
          type: string
      type: object
    dto.FXResponse:
      properties:
        pair:
          example: CURRENCY/CURRENCY
          type: string
        rate:
          example: 1.08
          type: number
        timestamp:
          example: '2025-01-15T10:30:00Z'
          type: string
      type: object
    dto.AccountRecipient:
      properties:
        accountId:
          example: b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e
          type: string
      required:
        - accountId
      type: object
    dto.AccountSender:
      properties:
        accountId:
          example: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
          type: string
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    dto.FeeBreakdown:
      properties:
        merchantFee:
          example: 40
          type: integer
        systemFee:
          example: 60
          type: integer
      type: object
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````